<?php

require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/AbstractActionBase.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/BeanFactory.class.php';
require_once 'Notification.class.php';

abstract class Xoonips_ActionBase extends Xoonips_AbstractActionBase {
	protected $log = false;

	public function Xoonips_ActionBase($dirname = null) {
		parent::Xoonips_AbstractActionBase($dirname);
		global $xoopsDB;
		$this->notification = new Xoonips_Notification($xoopsDB, $this->dirname, $this->trustDirname);
		$this->log = Xoonips_BeanFactory::getBean('EventLogBean', $this->dirname, $this->trustDirname);
	}

}

